// 005 u_oracle_dbx_save_cds
// 04 sep 2005

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com


(*$r+*)
unit u_oracle_dbx_save_cds;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Db, DBTables, Grids, DBGrids, ComCtrls,
  DBXpress, SqlExpr, FMTBcd, DBClient, Provider;

type
  TForm1 = class(TForm)
    SQLConnection1: TSQLConnection;
    SQLQuery1: TSQLQuery;
    DataSetProvider1: TDataSetProvider;
    ClientDataSet1: TClientDataSet;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    Memo1: TMemo;
    save_cds_: TButton;
    open_cds_: TButton;
    procedure FormCreate(Sender: TObject);
    procedure save_cds_Click(Sender: TObject);
    procedure open_cds_Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
  uses u_c_log, u_c_display
    ;

    {$R *.DFM}


    const k_root_path= '..\_data\';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.open_cds_Click(Sender: TObject);
      begin
        ClientDataset1.Open;
      end; // open_cds_Click

    procedure TForm1.save_cds_Click(Sender: TObject);
      begin
        ClientDataset1.SaveToFile(k_root_path+ 'resu.xml');
      end; // open_cds_Click



end.




